PImage img;

Table war_data;
int war_data_rowNums;


Table art_data;
int art_data_rowNums;


// Adding data Points in the table
int year_index[]; // actual year of war -1900
int art_year[]; //actual year of art - 1900
int count_year[]; // index of artwork in the one year
int total_count[]; // number of artwork in that one year.

// VARIABLES FOR ELLIPSE REPRESENTING YEARS 
float a = 40; // distance between ellipse in the ZOOM AREA
float b = 6;  // distance between ellipse in NON ZOOM AREA
int x = 530; // center of ellipse
int y = 640;  // center of ellipse

int key_press = 0 ;

// To load war and art tables
String table_load[]={ "WorldWide","America","Australia","Austria","Brazil",
"Britain","Canada","Netherland","France","Germany","Greece","Hungary","Italy","Japan","Israel","Mexico",
"Poland","Romania","Russia","Spain","Switzerland","Ukrain"};
String artwork=("_Artwork.csv");
String war=("_War.csv");
  
void setup()
{
  size(1060,1550);
  surface.setResizable(true);
  year_index= new int[90]; 
  img = loadImage("1_back2.png"); 
 
}


void draw ()
{
  //BACKGROUND
  background (255,255,255);
  image(img,0,0);
  noFill();
  int which_country = country_interaction();
  ArrayList<War_Period> wars = new ArrayList<War_Period>();
  ArrayList<art_data> arts = new ArrayList<art_data>();
 //********************** DATA LOADING HERE ***************************//
 // WAR DATA LOAD
  String war_load = (table_load[key_press]+war);// replace 0 with which_country
  war_data= loadTable(war_load);
  war_data_rowNums = war_data.getRowCount();
  for ( int i =0; i < war_data_rowNums; i++)
  {
    String war_name = war_data.getString(i,0);
    int start_year = war_data.getInt(i,1);
    int end_year = war_data.getInt(i,2);
    wars.add(new War_Period(war_name,start_year,end_year));  
  }
  war_data.clearRows();
  
  // ART DATA LOAD
  String art_load = (table_load[key_press]+artwork);// replace 0 with which_country
  art_data= loadTable(art_load);
  art_data_rowNums = art_data.getRowCount();
  art_year = new int[art_data_rowNums];
  for ( int i =0; i < art_data_rowNums; i++)
  {
    String art_origin = art_data.getString(i,0);
    String artist_name = art_data.getString(i,1);
    String art_name = art_data.getString(i,2);
    int year = art_data.getInt(i,3);
    arts.add(new art_data(art_origin,artist_name,art_name,year));  
  }
  art_data.clearRows();
  count_year = new int[art_data_rowNums];
  total_count = new int[art_data_rowNums];
  art_year_count(arts);
  
  //********** WAR AREA HIGHLIGHTING ********??
  // USING MOUSE POSITIONS TO ZOOM INTO DIFFERENT 10 YEAR ZONES (try converting to a side scroll)
  int m = zoom_year_slider();
  war_name_display(m,wars,war_data_rowNums);
  //grid();
  add_text(m);  
  // (ZOOMED IN VERSION)
  // START AND END YEARS FOR WAR AREA HIGHLIGHT 
  for (int i=0;i<war_data_rowNums;i++)
  {
    war(wars.get(i).start_year,wars.get(i).end_year,m);
  }
  
  
 //******** ARTWORK_POINTS PLOTTING *****************// 
   art_point(arts,m);
   
  
 // ************ SKETCHING THE GRIDS *******************//
  
  //small first loop
  for (float i =0 ; i<b*(m-10) ; i=i+b)
  {
    stroke (0,0,0,100);
    strokeWeight(0.1);
    noFill();
    ellipse(x,y,i, i);
  }
  
  //big loop
  for (float i =b*(m-10) ; i<(b*(m-10))+(a*10); i=i+a)
  {
    stroke (0,0,0,150);
    strokeWeight(0.5);
    noFill();
    ellipse(x,y,i, i);
  }
  
  //small second loop
  for (float i =(b*(m-10))+(a*10) ; i<(b*(m-10))+(a*10)+(b*(100-m)) ; i=i+b)
  {
    stroke (0,0,0,100);
    strokeWeight(0.1);
    noFill();
    ellipse(x,y,i, i);
  }
}